summaryrefslogtreecommitdiffstats
path: root/install/ui/util/make-patternfly.sh
diff options
context:
space:
mode:
Diffstat (limited to 'install/ui/util/make-patternfly.sh')
-rwxr-xr-xinstall/ui/util/make-patternfly.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/install/ui/util/make-patternfly.sh b/install/ui/util/make-patternfly.sh
new file mode 100755
index 000000000..f11f6807a
--- /dev/null
+++ b/install/ui/util/make-patternfly.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+# Authors:
+# Petr Vobornik <pvoborni@redhat.com>
+#
+# Copyright (C) 2014 Red Hat
+# see file 'COPYING' for use and warranty information
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+
+
+# This script is used for custom build of Bootstrap 3, PatternFly and
+# Font Awesome. Inspect ../less/patternfly.less for more information
+
+lessc --clean-css $DIR/../less/patternfly.less > $DIR/../css/patternfly.css
+exit $?